Bug 1274985 - [abrt] WARNING: CPU: 3 PID: 18462 at lib/list_debug.c:29 __list_add+0x6a/0xc0()
[abrt] WARNING: CPU: 3 PID: 18462 at lib/list_debug.c:29 __list_add+0x6a/0xc0()
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-24 10:49 EDT by Kamil Páral
Modified: 2016-12-20 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 10:08:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (120.04 KB, text/plain)
2015-10-24 10:49 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-10-24 10:49:19 EDT
Description of problem:
I saw this while playing with apitrace (capturing and replaying traces from games).

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 3 PID: 18462 at lib/list_debug.c:29 __list_add+0x6a/0xc0()
list_add corruption. next->prev should be prev (ffff88023efe8af0), but was fffd88023efe8af0. (next=ffff88023efe8af0).
Modules linked in: usblp bnep bluetooth rfkill ebtable_filter ebtables ip6table_filter ip6_tables fuse it87 hwmon_vid intel_rapl iosf_mbi x86_pkg_temp_thermal coretemp vfat kvm_intel fat kvm snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel iTCO_wdt iTCO_vendor_support crct10dif_pclmul snd_hda_codec crc32_pclmul crc32c_intel snd_hda_core snd_hwdep snd_seq ghash_clmulni_intel snd_seq_device snd_pcm i2c_i801 joydev snd_timer lpc_ich snd soundcore mei_me mei shpchp tpm_infineon tpm_tis tpm video soc_button_array nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_logitech_hidpp hid_logitech_dj amdkfd amd_iommu_v2 radeon i2c_algo_bit drm_kms_helper ttm e1000e drm serio_raw ptp pps_core
CPU: 3 PID: 18462 Comm: Kingdom Rush.x8 Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. Z87-D3HP/Z87-D3HP-CF, BIOS F5 08/14/2013
 0000000000000000 00000000dac3e514 ffff8801a1ca3878 ffffffff81771fca
 0000000000000000 ffff8801a1ca38d0 ffff8801a1ca38b8 ffffffff8109e4a6
 0000000000000001 ffffea00004f0020 ffff88023efe8af0 ffff88023efe8af0
Call Trace:
 [<ffffffff81771fca>] dump_stack+0x45/0x57
 [<ffffffff8109e4a6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e535>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff813b8fda>] __list_add+0x6a/0xc0
 [<ffffffff811aa202>] free_pcppages_bulk+0x202/0x590
 [<ffffffff811aa88e>] free_hot_cold_page+0x15e/0x180
 [<ffffffff811aa97a>] __free_pages+0x2a/0x40
 [<ffffffff811aa9ec>] free_pages+0x5c/0x70
 [<ffffffff8101b1c5>] dma_generic_free_coherent+0x25/0x30
 [<ffffffff81061475>] x86_swiotlb_free_coherent+0x45/0x80
 [<ffffffff8101aef7>] dma_free_attrs+0x47/0x90
 [<ffffffff811ffa60>] ? kfree+0x130/0x140
 [<ffffffffa00db363>] __ttm_dma_free_page.isra.3+0x23/0x40 [ttm]
 [<ffffffffa00dbc4f>] ttm_dma_unpopulate+0x2bf/0x330 [ttm]
 [<ffffffffa013d420>] radeon_ttm_tt_unpopulate+0x120/0x130 [radeon]
 [<ffffffffa00d317e>] ttm_tt_unpopulate+0x4e/0x50 [ttm]
 [<ffffffffa00d31e5>] ttm_tt_destroy+0x65/0x70 [ttm]
 [<ffffffffa00d36a3>] ttm_bo_cleanup_memtype_use+0x43/0x90 [ttm]
 [<ffffffffa00d44c7>] ttm_bo_release+0x1c7/0x230 [ttm]
 [<ffffffffa00d4554>] ttm_bo_unref+0x24/0x30 [ttm]
 [<ffffffffa013e1e9>] radeon_bo_unref+0x39/0x70 [radeon]
 [<ffffffffa0151337>] radeon_gem_object_free+0x57/0x70 [radeon]
 [<ffffffffa0020047>] drm_gem_object_free+0x27/0x30 [drm]
 [<ffffffffa002042e>] drm_gem_object_handle_unreference_unlocked+0xfe/0x110 [drm]
 [<ffffffffa00204e5>] drm_gem_handle_delete+0xa5/0xf0 [drm]
 [<ffffffffa0020b30>] drm_gem_close_ioctl+0x20/0x30 [drm]
 [<ffffffffa0021365>] drm_ioctl+0x125/0x610 [drm]
 [<ffffffffa0020b10>] ? drm_gem_handle_create+0x50/0x50 [drm]
 [<ffffffff811ff546>] ? __slab_free+0xb6/0x240
 [<ffffffff811d1a0c>] ? tlb_finish_mmu+0x1c/0x50
 [<ffffffffa003de83>] drm_compat_ioctl+0x33/0x40 [drm]
 [<ffffffffa020f07d>] radeon_kms_compat_ioctl+0x1d/0x20 [radeon]
 [<ffffffff8127147b>] compat_SyS_ioctl+0xeb/0x1200
 [<ffffffff811db7d5>] ? do_munmap+0x335/0x460
 [<ffffffff8177add2>] sysenter_dispatch+0xf/0x29
Comment 1 Kamil Páral 2015-10-24 10:49:27 EDT
Created attachment 1086086 [details]
File: dmesg
Comment 2 Fedora End Of Life 2016-11-24 07:54:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 10:08:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.